#pragma once

#include <Engine/Entity/Renderable.h>
#include <Engine/Globals.h>

namespace Game {
    class Box;
}

class Game::Box final : public Engine::Renderable {
public:
    void Render() final;
    void Update() final;
public:
    explicit Box(const Vector2& position, unsigned int depth = 0, float rotation = 0.0f) : Renderable(position, depth, rotation) {}
};